#ifndef PROCSWITCH_H
#define PROCSWITCH_H

#include "rtk32.h"
#include "rttextio.h"

#include "thread.h"
#include "interrupt.h"
#include "io686.h"
#include "logfile.hpp"

class procSwitch : public Thread {
public:
	procSwitch(RTKSemaphore *, SwitchPort *, Log *log);
	~procSwitch() {};
	virtual void run();
private:	
	RTKSemaphore *sem;
	IntHandler *ih;
	SwitchPort *sp;
	Log *log;
};

#endif